(function() {
  var Organization;

  Organization = (function() {

    function Organization(name, client) {
      this.name = name;
      this.client = client;
    }

    Organization.prototype.info = function(cb) {
      return this.client.get("/orgs/" + this.name, function(err, s, b) {
        if (err) return cb(err);
        if (s !== 200) {
          return cb(new Error('Organization info error'));
        } else {
          return cb(null, b);
        }
      });
    };

    return Organization;

  })();

  module.exports = Organization;

}).call(this);
